# Uses of Class
org.eclipse.draw2d.FocusEvent

Packages that use FocusEvent
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of FocusEvent in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
FocusListener.`focusGained(FocusEvent fe)`
Called when the listened to object has gained focus.
`void`
FocusListener.Stub.`focusGained(FocusEvent fe)`
`void`
FocusListener.`focusLost(FocusEvent fe)`
Called when the listened to object has lost focus.
`void`
FocusListener.Stub.`focusLost(FocusEvent fe)`
`void`
Figure.`handleFocusGained(FocusEvent event)`
`void`
IFigure.`handleFocusGained(FocusEvent event)`
Called when this IFigure has gained focus.
`void`
Figure.`handleFocusLost(FocusEvent event)`
`void`
IFigure.`handleFocusLost(FocusEvent event)`
Called when this IFigure has lost focus.